Map of Kashmir when selecting the timezone is incorrect

Bug #368060 reported by Nicholas on 2009-04-27
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ubiquity (Ubuntu)
High
Kenneth Wimer
Lucid
High
Kenneth Wimer

Bug Description

When installing Ubuntu, I have to select the timezone. I notice that the map of Kashmir is incorrectly positioned and does not reflect the political situation of the volatile region. Ubuntu must keep political scenarios in mind to produce neutrally-labelled maps. The United Nations also produces neutral maps.

So this should be displayed when displaying maps of India, Pakistan and China: (See reference map: http://en.wikipedia.org/wiki/File:India-states-numbered.svg)

* Select India (IST):
** India selected.
** Kashmir and Arunachal Pradesh within India has a lighter shade
** Kashmir within Pakistan and China with an even lighter shade

* Select Pakistan (PST)
**Pakistan without Kashmir in standard shade
**Kashmir within Pakistan with a lighter shade

*Select China
**PRC standard shade
**PRC with Kashmir lighter shade
**PRC with Arunachal Pradesh with an even lighter shade.

Hope you can implement this in Ubuntu 9.10

Adil Arif (adisari06) on 2009-07-27
affects: ubuntu → tzdata (Ubuntu)
Martin Pitt (pitti) wrote :

The timezone map selector is part of ubiquity

affects: tzdata (Ubuntu) → ubiquity (Ubuntu)
Evan (ev) on 2010-01-20
Changed in ubiquity (Ubuntu):
assignee: nobody → Evan Dandrea (ev)
importance: Undecided → High
milestone: none → lucid-alpha-3
status: New → Triaged
Changed in ubiquity (Ubuntu):
assignee: Evan Dandrea (ev) → Michael Forrest (michaelforrest)
Colin Watson (cjwatson) on 2010-03-01
Changed in ubiquity (Ubuntu Lucid):
milestone: lucid-alpha-3 → ubuntu-10.04-beta-1
Changed in ubiquity (Ubuntu Lucid):
assignee: Michael Forrest (michaelforrest) → Kenneth Wimer (kwwii)
Steve Langasek (vorlon) wrote :

this wasn't done in time for inclusion in the beta-1 images, pushing back to beta-2.

Changed in ubiquity (Ubuntu Lucid):
milestone: ubuntu-10.04-beta-1 → ubuntu-10.04-beta-2
Evan (ev) wrote :

Ken is actively working on this. The implementation will be to show Kashmir as part of India for the visible layer, but the non-visible layer that maps mouse clicks to specific time zones will remain the same.

Evan (ev) wrote :

To clarify my previous comment, each timezone will show a disputed region as part of the country in that timezone on the visible layer.

Kenneth Wimer (kwwii) wrote :

I sent Evan images for plus 5, 5.5 and 8. These reflect the disputed Kashmir parts. India claims all of it, China claims part and Pakistan claims the part China doesn't. Must be confusing to set your watch.

Changed in ubiquity (Ubuntu Lucid):
status: Triaged → Fix Committed
Kenneth Wimer (kwwii) wrote :
Nicholas (nicholas-a) wrote :

Hi,

Thanks for the changes. I notice a major bugs with one of the images, so am listing them here, and also marked a modified copy of the areas in question.

BUG. For p5.5 (IST -- India)
* India's NE states have been completely omitted. This needs to be included. I have marked the area in red in the attachment for p5.5.

I think highlighting all the areas would be prone to confusion. This is what I suggest:

A. All disputed regions be marked out [done]
1. Administered+undisputed -- normal green colour
2. Administered+disputed -- green colour1=close to normal green
3. Not administered+claimed -- green colour2 = close to grey

There are two independent regions of interest regarding claimed territory.
1. Kashmir [India, Pakistan, China] [Regions marked: 1, 2, & 3]
2. Arunachal Pradesh [India, China] -- yet to be done -- Marked out as Region 4

For image P5, I have marked out region 3-A. This region should *not be* highlighted for timezone UTC+5 as it is administered by China but not claimed by Pakistan.

Thanks for looking into it.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubiquity - 2.2.7

---------------
ubiquity (2.2.7) lucid; urgency=low

  [ Evan Dandrea ]
  * Add inactive labels to the user setup page (LP: #537986).
  * Fix KDE frontend's return_to_partitioning function.
  * Fix the KDE frontend's format button on the advanced partitioning
    page.
  * Assign resize_path before its used in the KDE frontend's PartAuto.
  * Set the keymap to a reasonable default when leaving the greeter
    (LP: #539255).
  * Change the timezone highlight around UTC+5, UTC+5.5, and UTC+8
    (LP: #368060).
  * Fix setting the window title when in automatic mode in the KDE
    frontend (LP: #541829).
  * Automatic update of included source packages: grub-installer
    1.49ubuntu8.
  * Update translations from Launchpad.

  [ Mario Limonciello ]
  * Return True for set_page, restoring UI only page functionality.
  * Quit plymouth before running ubiquity in noninteractive from the
    upstart job.
 -- Evan Dandrea <email address hidden> Tue, 23 Mar 2010 14:44:46 +0000

Changed in ubiquity (Ubuntu Lucid):
status: Fix Committed → Fix Released
Evan (ev) wrote :

Reopening, given Nicholas' comments.

Nicholas, we want to avoid using different colors for the highlight images. The approach we've come up with is to show the timezone band extending into the territories that countries within that band claim.

I will pass along your concern about the missing areas to Ken though, and I very much appreciate your attention and persistence on this bug.

Thanks!

Changed in ubiquity (Ubuntu Lucid):
status: Fix Released → In Progress
Kenneth Wimer (kwwii) wrote :

hrm, for some reason I cannot open the archive from Nicholas ;-(

Nicholas (nicholas-a) wrote :

Thanks everyone!

Tried using the zip extension this time. Hope it works.

If alternate colours cannot be used, to avoid ambiguity, I suggest that only the timezone on ground (of the disputed region) be highlighted. So for Indian-administered Kashmir, UTC+5.5 is highlighted, For UTC+5, Pakistan-administered Kashmir is included. However, care would have to be taken the disputed boundary markings be set in place by using a dotted line or something to that effect, to depict that those borders are not an international boundary.

Hope this helps

Colin Watson (cjwatson) wrote :

Deferring from beta-2, but needs to make final.

Changed in ubiquity (Ubuntu Lucid):
milestone: ubuntu-10.04-beta-2 → ubuntu-10.04
Kenneth Wimer (kwwii) wrote :

Here are pics which correct the size of India as well as updated time zones for Russia and the color code image needed to make it all work

Changed in ubiquity (Ubuntu Lucid):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubiquity - 2.2.15

---------------
ubiquity (2.2.15) lucid; urgency=low

  [ Evan Dandrea ]
  * Move the install window color setting code closer to when the window
    is shown, so the colors don't get reset before then.
  * Fix alpha warning being shown all the time with recent changes to
    the KDE frontend.
  * Define allowed_change_step in the KDE frontend to fix the manual
    partitioner buttons not working (LP: #556180).
  * Do not show the 'ready to install' or alpha warning text in the KDE
    frontend when in oem-config mode (LP: #556577).
  * Update timezone images to cover changes to the Russian timezones and
    make further adjustments around UTC+5, UTC+5.5, and UTC+7
    (LP: #368060).
  * Automatic update of included source packages: grub-installer
    1.49ubuntu11.

  [ Jonathan Riddell ]
  * Workaround PyQt unicode encoding error in ubi-console-setup.py, (LP: #556436)
 -- Evan Dandrea <email address hidden> Tue, 06 Apr 2010 17:29:17 +0100

Changed in ubiquity (Ubuntu Lucid):
status: Fix Committed → Fix Released

Hi Kenneth,

Thanks for the updates. What software do you use to edit the images? There are still some inaccuracies that I would like to point out.

Regards,
--Nicholas

________________________________
From: Kenneth Wimer <email address hidden>
To: <email address hidden>
Sent: Tue, 6 April, 2010 11:40:02 PM
Subject: [Bug 368060] Re: Map of Kashmir when selecting the timezone is incorrect

Here are pics which correct the size of India as well as updated time
zones for Russia and the color code image needed to make it all work

** Attachment added: "lucid-changes.tar.bz2"
  http://launchpadlibrarian.net/43256317/lucid-changes.tar.bz2

** Changed in: ubiquity (Ubuntu Lucid)
       Status: In Progress => Fix Committed

--
Map of Kashmir when selecting the timezone is incorrect
https://bugs.launchpad.net/bugs/368060
You received this bug notification because you are a direct subscriber
of the bug.

Status in “ubiquity” package in Ubuntu: Fix Committed
Status in “ubiquity” source package in Lucid: Fix Committed

Bug description:
When installing Ubuntu, I have to select the timezone. I notice that the map of Kashmir is incorrectly positioned and does not reflect the political situation of the volatile region. Ubuntu must keep political scenarios in mind to produce neutrally-labelled maps. The United Nations also produces neutral maps.

So this should be displayed when displaying maps of India, Pakistan and China: (See reference map: http://en.wikipedia.org/wiki/File:India-states-numbered.svg)

* Select India (IST):
** India selected.
** Kashmir and Arunachal Pradesh within India has a lighter shade
** Kashmir within Pakistan and China with an even lighter shade

* Select Pakistan (PST)
**Pakistan without Kashmir in standard shade
**Kashmir within Pakistan with a lighter shade

*Select China
**PRC standard shade
**PRC with Kashmir lighter shade
**PRC with Arunachal Pradesh with an even lighter shade.

Hope you can implement this in Ubuntu 9.10

To unsubscribe from this bug, go to:
https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/368060/+subscribe

      The INTERNET now has a personality. YOURS! See your Yahoo! Homepage. http://in.yahoo.com/

Kenneth Wimer (kwwii) wrote :

I use inkscape to edit the file. The hardest part is getting good information not our desire to make things correct

Nicholas (nicholas-a) wrote :

Do you edit an SVG or PNG rendering of the images? Cause the PNG images just plays up on Inkscape due to the low resolutions involved.

Kenneth, I would respectfully disagree on 'not our desire to make things correct' -- the whole philosophy of the free software movement is the empowerment of the individual to collaborate together to get things correct, and in this case, neutrally-produced maps.

Regards,
--Nicholas

________________________________
From: Kenneth Wimer <email address hidden>
To: <email address hidden>
Sent: Wed, 7 April, 2010 7:06:01 AM
Subject: [Bug 368060] Re: Map of Kashmir when selecting the timezone is incorrect

I use inkscape to edit the file. The hardest part is getting good
information not our desire to make things correct

--
Map of Kashmir when selecting the timezone is incorrect
https://bugs.launchpad.net/bugs/368060
You received this bug notification because you are a direct subscriber
of the bug.

Status in “ubiquity” package in Ubuntu: Fix Released
Status in “ubiquity” source package in Lucid: Fix Released

Bug description:
When installing Ubuntu, I have to select the timezone. I notice that the map of Kashmir is incorrectly positioned and does not reflect the political situation of the volatile region. Ubuntu must keep political scenarios in mind to produce neutrally-labelled maps. The United Nations also produces neutral maps.

So this should be displayed when displaying maps of India, Pakistan and China: (See reference map: http://en.wikipedia.org/wiki/File:India-states-numbered.svg)

* Select India (IST):
** India selected.
** Kashmir and Arunachal Pradesh within India has a lighter shade
** Kashmir within Pakistan and China with an even lighter shade

* Select Pakistan (PST)
**Pakistan without Kashmir in standard shade
**Kashmir within Pakistan with a lighter shade

*Select China
**PRC standard shade
**PRC with Kashmir lighter shade
**PRC with Arunachal Pradesh with an even lighter shade.

Hope you can implement this in Ubuntu 9.10

To unsubscribe from this bug, go to:
https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/368060/+subscribe

Send free SMS to your Friends on Mobile from your Yahoo! Messenger. Download Now! http://messenger.yahoo.com/download.php

Kenneth Wimer (kwwii) wrote :

I edit and SVG and export PNG files.

Let me clear up what I meant with my last comment, I think you misunderstood:

I meant that in some cases we do not have the proper information to make changes. Naturally, we want to get things right and we do appreciate all the help we can get :-)

Nicholas (nicholas-a) wrote :

Thanks for the clarifications Kenneth. :) So, in this case (timezones) what sort of help/information do you require? I can try doing my bit to get things perfect.

Do let me know.

Regards,
--Nicholas

________________________________
From: Kenneth Wimer <email address hidden>
To: <email address hidden>
Sent: Sat, 10 April, 2010 5:16:16 PM
Subject: [Bug 368060] Re: Map of Kashmir when selecting the timezone is incorrect

I edit and SVG and export PNG files.

Let me clear up what I meant with my last comment, I think you
misunderstood:

I meant that in some cases we do not have the proper information to make
changes. Naturally, we want to get things right and we do appreciate all
the help we can get :-)

--
Map of Kashmir when selecting the timezone is incorrect
https://bugs.launchpad.net/bugs/368060
You received this bug notification because you are a direct subscriber
of the bug.

Status in “ubiquity” package in Ubuntu: Fix Released
Status in “ubiquity” source package in Lucid: Fix Released

Bug description:
When installing Ubuntu, I have to select the timezone. I notice that the map of Kashmir is incorrectly positioned and does not reflect the political situation of the volatile region. Ubuntu must keep political scenarios in mind to produce neutrally-labelled maps. The United Nations also produces neutral maps.

So this should be displayed when displaying maps of India, Pakistan and China: (See reference map: http://en.wikipedia.org/wiki/File:India-states-numbered.svg)

* Select India (IST):
** India selected.
** Kashmir and Arunachal Pradesh within India has a lighter shade
** Kashmir within Pakistan and China with an even lighter shade

* Select Pakistan (PST)
**Pakistan without Kashmir in standard shade
**Kashmir within Pakistan with a lighter shade

*Select China
**PRC standard shade
**PRC with Kashmir lighter shade
**PRC with Arunachal Pradesh with an even lighter shade.

Hope you can implement this in Ubuntu 9.10

To unsubscribe from this bug, go to:
https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/368060/+subscribe

Send free SMS to your Friends on Mobile from your Yahoo! Messenger. Download Now! http://messenger.yahoo.com/download.php

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers